drop table deptj;
drop sequence deptj_key;
create sequence deptj_key
   start with 1000 increment by 1;
create table deptj
 (id  number(4) default deptj_key.nextval primary key not null,
  dept_info clob constraint deptjson check (dept_info is json));
--
insert into deptj
  values(deptj_key.nextval,
         '{"departments":{
            "DEPTNO": 10,
            "DNAME": "ACCOUNTING",
            "LOC": "NEW YORK",
            "deptemps": [
                {
                    "EMPNO": 7782,
                    "ENAME": "CLARK",
                    "JOB": "MANAGER",
                    "MGR": 7839,
                    "HIREDATE": "09-JUN-81",
                    "pay":{
                      "SAL": 2450,
                     "COMM": null},
                    "DEPTNO": "10"
                },
                {
                    "EMPNO": 7839,
                    "ENAME": "KING",
                    "JOB": "PRESIDENT",
                    "MGR": null,
                    "HIREDATE": "17-NOV-81",
                    "pay":{
                      "SAL": 5000,
                     "COMM": null},
                    "DEPTNO": "10"
                },
                {
                    "EMPNO": 7934,
                    "ENAME": "MILLER",
                    "JOB": "CLERK",
                    "MGR": 7782,
                    "HIREDATE": "23-JAN-82",
                    "pay":{
                      "SAL": 1300,
                      "COMM": null},
                    "DEPTNO": "10"
                }
            ]}
        }');
insert into deptj
  values(deptj_key.nextval,
        '{"departments":{
            "DEPTNO": 20,
            "DNAME": "RESEARCH",
            "LOC": "DALLAS",
            "deptemps": [
                {
                    "EMPNO": 7876,
                    "ENAME": "ADAMS",
                    "JOB": "CLERK",
                    "MGR": 7788,
                    "HIREDATE": "12-JAN-83",
                    "pay":{
                      "SAL": 1100,
                      "COMM": null},
                    "DEPTNO": "20"
                },
                {
                    "EMPNO": 7902,
                    "ENAME": "FORD",
                    "JOB": "ANALYST",
                    "MGR": 7566,
                    "HIREDATE": "03-DEC-81",
                    "SAL": 3000,
                    "COMM": null,
                    "DEPTNO": "20"
                },
                {
                    "EMPNO": 7566,
                    "ENAME": "JONES",
                    "JOB": "MANAGER",
                    "MGR": 7839,
                    "HIREDATE": "02-APR-81",
                    "SAL": 2975,
                    "COMM": null,
                    "DEPTNO": "20"
                },
                {
                    "EMPNO": 7788,
                    "ENAME": "SCOTT",
                    "JOB": "ANALYST",
                    "MGR": 7566,
                    "HIREDATE": "09-DEC-82",
                    "SAL": 3000,
                    "COMM": null,
                    "DEPTNO": "20"
                },
                {
                    "EMPNO": 7369,
                    "ENAME": "SMITH",
                    "JOB": "CLERK",
                    "MGR": 7902,
                    "HIREDATE": "17-DEC-80",
                    "SAL": 800,
                    "COMM": null,
                    "DEPTNO": "20"
                }
            ]}
        }');
insert into deptj
  values(deptj_key.nextval,
        '        {"departments":{
            "DEPTNO": 30,
            "DNAME": "SALES",
            "LOC": "CHICAGO",
            "deptemps": [
                {
                    "EMPNO": 7499,
                    "ENAME": "ALLEN",
                    "JOB": "SALESMAN",
                    "MGR": 7698,
                    "HIREDATE": "20-FEB-81",
                    "SAL": 1600,
                    "COMM": 300,
                    "DEPTNO": "30"
                },
                {
                    "EMPNO": 7698,
                    "ENAME": "BLAKE",
                    "JOB": "MANAGER",
                    "MGR": 7839,
                    "HIREDATE": "01-MAY-81",
                    "SAL": 2850,
                    "COMM": null,
                    "DEPTNO": "30"
                },
                {
                    "EMPNO": 7900,
                    "ENAME": "JAMES",
                    "JOB": "CLERK",
                    "MGR": 7698,
                    "HIREDATE": "03-DEC-81",
                    "SAL": 950,
                    "COMM": null,
                    "DEPTNO": "30"
                },
                {
                    "EMPNO": 7654,
                    "ENAME": "MARTIN",
                    "JOB": "SALESMAN",
                    "MGR": 7698,
                    "HIREDATE": "28-SEP-81",
                    "SAL": 1250,
                    "COMM": 1400,
                    "DEPTNO": "30"
                },
                {
                    "EMPNO": 7844,
                    "ENAME": "TURNER",
                    "JOB": "SALESMAN",
                    "MGR": 7698,
                    "HIREDATE": "08-SEP-81",
                    "SAL": 1500,
                    "COMM": 0,
                    "DEPTNO": "30"
                },
                {
                    "EMPNO": 7521,
                    "ENAME": "WARD",
                    "JOB": "SALESMAN",
                    "MGR": 7698,
                    "HIREDATE": "22-FEB-81",
                    "SAL": 1250,
                    "COMM": 500,
                    "DEPTNO": "30"
                }
            ]}
        }');
insert into deptj
  values(deptj_key.nextval,  --sys_guid(),
    '{"departments":{
    "DEPTNO": 40,
    "DNAME": "OPERATIONS",  
    "LOC": "BOSTON"
}}');
commit;



