create or replace function times_10 (inval in number)
  return number
  accessible by (caller1,caller3)
 is
 begin
  return inval * 10;
 end;
/
create or replace procedure caller1 as
  anumber number := 1;
 begin
  anumber := times_10(anumber);
 end;
/
create or replace procedure caller2 as
  anumber number := 1;
begin
  anumber := times_10(anumber);
end;
/
create or replace procedure caller3 as
  anumber number := 1;
 begin
  anumber := times_10(anumber);
 end;
/
exec caller1; -- runs fine
exec caller2; -- aborts; raises PLS-00905: object
-- JOHN.CALLER2 is invalid
exec caller3; -- runs fine
select times_10(deptno) from dept;