set echo on
--
-- Example Truncate Cascade
--
drop table dept2 cascade constraints;
drop table emp2 cascade constraints;
create table dept2 as select * from dept;
create table emp2 as select * from emp;
alter table dept2 add constraint deptnoPK2 primary key (deptno);
alter table emp2  add constraint empnoPK2  primary key (empno);
alter table emp2  add constraint deptnoFK2 foreign key (deptno) 
   references dept2
   on delete cascade;
select * from dept2;
select * from emp2;
insert into emp2
  (empno,ename,hiredate,sal,deptno)
  values
  (4242,'BadRec',current_date,123.45,60);
--
commit;
--
truncate table dept2;
--
truncate table dept2 cascade;
--
select * from dept2;
select * from emp2;