--create deterministic function
create or replace function get_totpay(insal emp.sal%type,
   incomm emp.comm%type)
  return emp.sal%type
  deterministic
 is
   outval emp.sal%type;
 begin
   outval := coalesce(insal,0)+coalesce(incomm,0);
   return outval;
 end;
/
declare
  pay1 number := 100.50;
  pay2 number := 200.10;
  comm1 number := 50;
  comm2 number := 25;
begin
  dbms_output.put_line('Value1 is ' || get_totpay(pay1,comm1));
  dbms_output.put_line('Value2 is ' || get_totpay(pay2,comm2));
end;
/
